org.keycloak.dom.saml.v2.profiles.attribute.dce

## Class DCEValueType

- java.lang.Object
- - org.keycloak.dom.saml.v2.profiles.attribute.dce.DCEValueType

-     public class DCEValueType
      extends Object

  Java class for DCEValueType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DCEValueType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>anyURI">
             <attribute ref="{urn:oasis:names:tc:SAML:2.0:profiles:attribute:DCE}Realm"/>
             <attribute ref="{urn:oasis:names:tc:SAML:2.0:profiles:attribute:DCE}FriendlyName"/>
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `friendlyName`
    `protected String` | `realm`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DCEValueType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFriendlyName()` Gets the value of the friendlyName property.
    `String` | `getRealm()` Gets the value of the realm property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setFriendlyName(String value)` Sets the value of the friendlyName property.
    `void` | `setRealm(String value)` Sets the value of the realm property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### realm

          protected String realm

    - #### friendlyName

          protected String friendlyName

  - ### Constructor Detail

    - #### DCEValueType

          public DCEValueType()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRealm

          public String getRealm()

      Gets the value of the realm property.
      Returns:
        possible object is `String`

    - #### setRealm

          public void setRealm(String value)

      Sets the value of the realm property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFriendlyName

          public String getFriendlyName()

      Gets the value of the friendlyName property.
      Returns:
        possible object is `String`

    - #### setFriendlyName

          public void setFriendlyName(String value)

      Sets the value of the friendlyName property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.